# Generated by Django 4.1.3 on 2022-11-29 20:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0010_alter_gamestate_location_alter_mapnode_current_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Tile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("path", models.CharField(max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name="node",
            name="tile",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="tile",
                to="game.tile",
            ),
        ),
    ]
